Name:           python-pollination-annual-energy-use
Version:        0.5.11
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Run an annual energy simulation and compute energy use intensity.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/pollination/annual-energy-use
Source:         %{pypi_source pollination_annual_energy_use}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pollination-annual-energy-use' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pollination-annual-energy-use
Summary:        %{summary}

%description -n python3-pollination-annual-energy-use %_description


%prep
%autosetup -p1 -n pollination_annual_energy_use-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pollination-annual-energy-use -f %{pyproject_files}


%changelog
%autochangelog